Index: code/branches/doc/src/libraries/core/BaseObject.h
===================================================================
--- code/branches/doc/src/libraries/core/BaseObject.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/BaseObject.h	(revision 7375)
@@ -35,5 +35,5 @@
     @file
     @ingroup BaseObject
-    @brief Definition of the BaseObject class.
+    @brief Declaration of BaseObject, the base class of all objects in Orxonox.
 
     The BaseObject is the parent of all classes representing an instance in the game.
Index: code/branches/doc/src/libraries/core/ClassFactory.h
===================================================================
--- code/branches/doc/src/libraries/core/ClassFactory.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/ClassFactory.h	(revision 7375)
@@ -32,5 +32,5 @@
     @brief Definition and implementation of the ClassFactory class
 
-    The ClassFactory is able to create new objects of a specific class.
+    The ClassFactory is able to create new objects of a specific class which creates objects.
 */
 
Index: code/branches/doc/src/libraries/core/ConfigFileManager.h
===================================================================
--- code/branches/doc/src/libraries/core/ConfigFileManager.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/ConfigFileManager.h	(revision 7375)
@@ -30,5 +30,5 @@
     @file
     @ingroup Config ConfigFile
-    @brief Declaration of ConfigFileManager and its helper classes.
+    @brief Declaration of ConfigFileManager and its helper classes, used to load and save config files.
 */
 
Index: code/branches/doc/src/libraries/core/ConfigValueContainer.h
===================================================================
--- code/branches/doc/src/libraries/core/ConfigValueContainer.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/ConfigValueContainer.h	(revision 7375)
@@ -30,5 +30,5 @@
     @file
     @ingroup Config ConfigFile
-    @brief Declaration of the ConfigValueContainer class.
+    @brief Declaration of the ConfigValueContainer class, caches a config-value.
 
     The ConfigValueContainer class contains all needed information about a configurable variable:
Index: code/branches/doc/src/libraries/core/Core.h
===================================================================
--- code/branches/doc/src/libraries/core/Core.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/Core.h	(revision 7375)
@@ -36,4 +36,5 @@
     @file
     @ingroup Management CoreGame
+    @brief Declaration of the Core singleton which is used to configure the program basics.
 */
 
Index: code/branches/doc/src/libraries/core/CoreIncludes.h
===================================================================
--- code/branches/doc/src/libraries/core/CoreIncludes.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/CoreIncludes.h	(revision 7375)
@@ -35,5 +35,5 @@
     @file
     @ingroup Object Factory
-    @brief Definition of macros for Identifiers
+    @brief Defines several very important macros used to register objects, create factories, and to work with identifiers.
 
     Every class needs the @c RegisterObject(class) macro in its constructor. If the class is an interface
Index: code/branches/doc/src/libraries/core/DynLib.h
===================================================================
--- code/branches/doc/src/libraries/core/DynLib.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/DynLib.h	(revision 7375)
@@ -33,4 +33,5 @@
     @file
     @ingroup Management CoreGame
+    @brief Declaration of DynLib which represents a dynamically loaded module.
 */
 
@@ -66,5 +67,5 @@
 namespace orxonox
 {
-    /** Resource holding data about a dynamic library.
+    /** %Resource holding data about a dynamic library.
         @remarks
             This class holds the data required to get symbols from
@@ -74,6 +75,4 @@
         @since
             27 January 2002
-        @see
-            Resource
     */
     class _CoreExport DynLib
Index: code/branches/doc/src/libraries/core/DynLibManager.h
===================================================================
--- code/branches/doc/src/libraries/core/DynLibManager.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/DynLibManager.h	(revision 7375)
@@ -33,4 +33,5 @@
     @file
     @ingroup Management CoreGame
+    @brief Declaration of DynLibManager, used to load modules at runtime.
 */
 
Index: code/branches/doc/src/libraries/core/Game.h
===================================================================
--- code/branches/doc/src/libraries/core/Game.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/Game.h	(revision 7375)
@@ -31,5 +31,5 @@
 @ingroup Management CoreGame
 @brief
-    Declaration of Game Singleton.
+    Declaration of Game Singleton which is responsible for running the game.
  */
 
Index: code/branches/doc/src/libraries/core/GameMode.h
===================================================================
--- code/branches/doc/src/libraries/core/GameMode.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/GameMode.h	(revision 7375)
@@ -30,5 +30,5 @@
     @file
     @ingroup Management CoreGame
-    @brief Declaration of the GameMode class.
+    @brief Declaration of the GameMode class which stores and returns the current mode of the game.
 */
 
Index: code/branches/doc/src/libraries/core/Identifier.h
===================================================================
--- code/branches/doc/src/libraries/core/Identifier.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/Identifier.h	(revision 7375)
@@ -35,5 +35,5 @@
     @file
     @ingroup Class Identifier
-    @brief Declaration of Identifier, definition of ClassIdentifier<T>.
+    @brief Declaration of Identifier, definition of ClassIdentifier<T>; used to identify the class of an object.
 
     @anchor IdentifierExample
Index: code/branches/doc/src/libraries/core/Iterator.h
===================================================================
--- code/branches/doc/src/libraries/core/Iterator.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/Iterator.h	(revision 7375)
@@ -30,5 +30,5 @@
     @file
     @ingroup Object ObjectList
-    @brief Definition of the Iterator class.
+    @brief Definition of the Iterator class, used to iterate through object-lists.
 
     @anchor IteratorExample
Index: code/branches/doc/src/libraries/core/ObjectList.h
===================================================================
--- code/branches/doc/src/libraries/core/ObjectList.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/ObjectList.h	(revision 7375)
@@ -35,5 +35,5 @@
     @file
     @ingroup Object ObjectList
-    @brief Definition of the ObjectList class.
+    @brief Definition of the ObjectList class, a wrapper of ObjectListBase.
 
     @ref orxonox::ObjectList "ObjectList<T>" is a wrapper of an @ref orxonox::ObjectListBase
Index: code/branches/doc/src/libraries/core/ObjectListBase.h
===================================================================
--- code/branches/doc/src/libraries/core/ObjectListBase.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/ObjectListBase.h	(revision 7375)
@@ -30,5 +30,5 @@
     @file
     @ingroup Object ObjectList
-    @brief Declaration of the ObjectListBase class.
+    @brief Declaration of the ObjectListBase class which stores all objects of each class.
 
     orxonox::ObjectListBase is a double-linked list, used by @ref orxonox::Identifier "Identifiers"
Index: code/branches/doc/src/libraries/core/ObjectListIterator.h
===================================================================
--- code/branches/doc/src/libraries/core/ObjectListIterator.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/ObjectListIterator.h	(revision 7375)
@@ -30,5 +30,5 @@
     @file
     @ingroup Object ObjectList
-    @brief Definition of the ObjectListIterator class.
+    @brief Definition of the ObjectListIterator class, used to iterate through object-lists.
 
     @anchor ObjectListIteratorExample
Index: code/branches/doc/src/libraries/core/OrxonoxClass.cc
===================================================================
--- code/branches/doc/src/libraries/core/OrxonoxClass.cc	(revision 7374)
+++ code/branches/doc/src/libraries/core/OrxonoxClass.cc	(revision 7375)
@@ -29,5 +29,5 @@
 /**
     @file
-    @brief Implementation of the OrxonoxClass Class.
+    @brief Implementation of OrxonoxClass.
 */
 
Index: code/branches/doc/src/libraries/core/OrxonoxClass.h
===================================================================
--- code/branches/doc/src/libraries/core/OrxonoxClass.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/OrxonoxClass.h	(revision 7375)
@@ -35,5 +35,5 @@
     @file
     @ingroup Class OrxonoxClass
-    @brief Declaration of the OrxonoxClass Class.
+    @brief Declaration of OrxonoxClass, the base class of all objects and interfaces in Orxonox.
 
     All objects and interfaces of the game-logic (not the engine) are derived from OrxonoxClass.
Index: code/branches/doc/src/libraries/core/SmartPtr.h
===================================================================
--- code/branches/doc/src/libraries/core/SmartPtr.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/SmartPtr.h	(revision 7375)
@@ -37,5 +37,5 @@
     @file
     @ingroup Object SmartPtr
-    @brief Definition of SmartPtr<T>.
+    @brief Definition of SmartPtr<T>, wraps a pointer to an object and keeps it alive.
 
     @anchor SmartPtrExample
Index: code/branches/doc/src/libraries/core/Super.h
===================================================================
--- code/branches/doc/src/libraries/core/Super.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/Super.h	(revision 7375)
@@ -35,5 +35,5 @@
     @file
     @ingroup Class Super
-    @brief Definition of all super-function related macros.
+    @brief Definition of all super-function related macros, used to call functions of the base class.
 
     This file defines all macros needed to add a new "super-function". If you add
Index: code/branches/doc/src/libraries/core/WeakPtr.h
===================================================================
--- code/branches/doc/src/libraries/core/WeakPtr.h	(revision 7374)
+++ code/branches/doc/src/libraries/core/WeakPtr.h	(revision 7375)
@@ -32,5 +32,5 @@
     @file
     @ingroup Object SmartPtr
-    @brief Definition of WeakPtr<T>.
+    @brief Definition of WeakPtr<T>, wraps a pointer to an object.
 
     @anchor WeakPtrExample