Index: /code/trunk/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- /code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7406)
+++ /code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7407)
@@ -72,16 +72,16 @@
         Method for creating a NotificationDispatcher object through XML.
     */
-    void NotificationDispatcher::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void NotificationDispatcher::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(NotificationDispatcher, XMLPort, xmlElement, mode);
+        SUPER(NotificationDispatcher, XMLPort, xmlelement, mode);
 
-        XMLPortEventSink(NotificationDispatcher, BaseObject, "trigger", trigger, xmlElement, mode); //TODO: Change BaseObject to MultiTrigger as soon as MultiTrigger is the base of all triggers.
+        XMLPortEventSink(NotificationDispatcher, BaseObject, "trigger", trigger, xmlelement, mode); //TODO: Change BaseObject to MultiTrigger as soon as MultiTrigger is the base of all triggers.
     }
 
-    void NotificationDispatcher::XMLEventPort(Element& xmlElement, XMLPort::Mode mode)
+    void NotificationDispatcher::XMLEventPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(NotificationDispatcher, XMLEventPort, xmlElement, mode);
+        SUPER(NotificationDispatcher, XMLEventPort, xmlelement, mode);
 
-        XMLPortEventState(NotificationDispatcher, BaseObject, "trigger", trigger, xmlElement, mode);
+        XMLPortEventState(NotificationDispatcher, BaseObject, "trigger", trigger, xmlelement, mode);
     }
 
Index: /code/trunk/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- /code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7406)
+++ /code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7407)
@@ -55,6 +55,6 @@
             virtual ~NotificationDispatcher(); //!< Destructor.
 
-            virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode); //!< Method for creating a NotificationDispatcher object through XML.
-            virtual void XMLEventPort(Element& xmlElement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a NotificationDispatcher object through XML.
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode);
 
             /**
Index: /code/trunk/src/modules/objects/Script.cc
===================================================================
--- /code/trunk/src/modules/objects/Script.cc	(revision 7406)
+++ /code/trunk/src/modules/objects/Script.cc	(revision 7407)
@@ -73,19 +73,19 @@
     @brief
         Method for creating a Script object through XML.
-    @param xmlElement
+    @param xmlelement
         The element.
     @param mode
         The mode.
     */
-    void Script::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void Script::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
         SUPER(Script, XMLPort, xmlElement, mode);
 
-        XMLPortParam(Script, "code", setCode, getCode, xmlElement, mode);
-        XMLPortParamTemplate(Script, "mode", setMode, getMode, xmlElement, mode, const std::string&).defaultValues(Script::NORMAL);
-        XMLPortParam(Script, "onLoad", setOnLoad, isOnLoad, xmlElement, mode).defaultValues(true);
-        XMLPortParam(Script, "times", setTimes, getTimes, xmlElement, mode).defaultValues(Script::INF);
-
-        XMLPortEventSink(Script, BaseObject, "trigger", trigger, xmlElement, mode);
+        XMLPortParam(Script, "code", setCode, getCode, xmlelement, mode);
+        XMLPortParamTemplate(Script, "mode", setMode, getMode, xmlelement, mode, const std::string&).defaultValues(Script::NORMAL);
+        XMLPortParam(Script, "onLoad", setOnLoad, isOnLoad, xmlelement, mode).defaultValues(true);
+        XMLPortParam(Script, "times", setTimes, getTimes, xmlelement, mode).defaultValues(Script::INF);
+
+        XMLPortEventSink(Script, BaseObject, "trigger", trigger, xmlelement, mode);
 
         if(this->isOnLoad()) // If the object is onLoad the code is executed at once.
@@ -96,14 +96,14 @@
     @brief
         Creates a port that can be used to channel events and react to them.
-    @param xmlElement
+    @param xmlelement
         The element.
     @param mode
         The mode.
     */
-    void Script::XMLEventPort(Element& xmlElement, XMLPort::Mode mode)
+    void Script::XMLEventPort(Element& xmlelement, XMLPort::Mode mode)
     {
         SUPER(Script, XMLEventPort, xmlElement, mode);
 
-        XMLPortEventState(Script, BaseObject, "trigger", trigger, xmlElement, mode);
+        XMLPortEventState(Script, BaseObject, "trigger", trigger, xmlelement, mode);
     }
 
Index: /code/trunk/src/modules/objects/Script.h
===================================================================
--- /code/trunk/src/modules/objects/Script.h	(revision 7406)
+++ /code/trunk/src/modules/objects/Script.h	(revision 7407)
@@ -83,5 +83,5 @@
 
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Script object through XML.
-            virtual void XMLEventPort(Element& xmlElement, XMLPort::Mode mode); //!< Creates a port that can be used to channel events and react to them.
+            virtual void XMLEventPort(Element& xmlelement, XMLPort::Mode mode); //!< Creates a port that can be used to channel events and react to them.
 
             void trigger(bool triggered); //!< Is called when an event comes in trough the event port.