Index: code/trunk/src/modules/notifications/Notification.cc
===================================================================
--- code/trunk/src/modules/notifications/Notification.cc	(revision 7417)
+++ code/trunk/src/modules/notifications/Notification.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file Notification.cc
     @brief Implementation of the Notification class.
 */
Index: code/trunk/src/modules/notifications/Notification.h
===================================================================
--- code/trunk/src/modules/notifications/Notification.h	(revision 7417)
+++ code/trunk/src/modules/notifications/Notification.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file Notification.h
     @brief Definition of the Notification class.
+    @ingroup Notifications
 */
 
Index: code/trunk/src/modules/notifications/NotificationDispatcher.cc
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7417)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file NotificationDispatcher.cc
     @brief Implementation of the NotificationDispatcher class.
 */
Index: code/trunk/src/modules/notifications/NotificationDispatcher.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7417)
+++ code/trunk/src/modules/notifications/NotificationDispatcher.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file NotificationDispatcher.h
     @brief Definition of the NotificationDispatcher class.
+    @ingroup Notifications
 */
 
Index: code/trunk/src/modules/notifications/NotificationManager.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationManager.h	(revision 7417)
+++ code/trunk/src/modules/notifications/NotificationManager.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file NotificationManager.h
     @brief Definition of the NotificationManager class.
+    @ingroup Notifications
 */
 
Index: code/trunk/src/modules/notifications/NotificationQueue.h
===================================================================
--- code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7417)
+++ code/trunk/src/modules/notifications/NotificationQueue.h	(revision 7456)
@@ -30,4 +30,5 @@
     @file NotificationQueue.h
     @brief Definition of the NotificationQueue class.
+    @ingroup Notifications
 */
 
Index: code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 7417)
+++ code/trunk/src/modules/notifications/dispatchers/CommandNotification.cc	(revision 7456)
@@ -28,5 +28,5 @@
 
 /**
-    @file
+    @file CommandNotification.cc
     @brief Implementation of the CommandNotification class.
 */
Index: code/trunk/src/modules/notifications/dispatchers/CommandNotification.h
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 7417)
+++ code/trunk/src/modules/notifications/dispatchers/CommandNotification.h	(revision 7456)
@@ -28,6 +28,7 @@
 
 /**
-    @file
+    @file CommandNotification.h
     @brief Definition of the CommandNotification class.
+    @ingroup NotificationDispatchers
 */
 
Index: code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 7417)
+++ code/trunk/src/modules/notifications/dispatchers/SimpleNotification.cc	(revision 7456)
@@ -26,4 +26,9 @@
  *
  */
+
+/**
+    @file SimpleNotification.cc
+    @brief Implementation of the SimpleNotification class.
+*/
 
 #include "SimpleNotification.h"
Index: code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h
===================================================================
--- code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 7417)
+++ code/trunk/src/modules/notifications/dispatchers/SimpleNotification.h	(revision 7456)
@@ -26,4 +26,10 @@
  *
  */
+
+/**
+    @file SimpleNotification.h
+    @brief Declaration of the SimpleNotification class.
+    @ingroup NotificationDispatchers
+*/
 
 #ifndef _SimpleNotification_H__