Index: branches/qt_gui/src/lib/gui/Makefile.am
===================================================================
--- branches/qt_gui/src/lib/gui/Makefile.am	(revision 7465)
+++ branches/qt_gui/src/lib/gui/Makefile.am	(revision 7470)
@@ -1,3 +1,24 @@
-SUBDIRS = gtk_gui \
-	  gl_gui \
-	  qt_gui
+MAINSRCDIR=../..
+include $(MAINSRCDIR)/defs/include_paths.am
+
+AM_LDFLAGS =
+
+noinst_LIBRARIES = libORXbasegui.a
+
+
+libORXbasegui_a_SOURCES = \
+		gui_element.cc \
+		gui_saveable.cc
+
+
+noinst_HEADERS= \
+		gui_element.h \
+		gui_saveable.h
+
+EXTRA_DIST =
+
+SUBDIRS = \
+	. \
+	gtk_gui \
+	gl_gui \
+	qt_gui
Index: branches/qt_gui/src/lib/gui/gtk_gui/gui_element.h
===================================================================
--- branches/qt_gui/src/lib/gui/gtk_gui/gui_element.h	(revision 7465)
+++ branches/qt_gui/src/lib/gui/gtk_gui/gui_element.h	(revision 7470)
@@ -1,5 +1,5 @@
-/*! 
+/*!
  * @file gui_element.h
-  *  Definition of ...
+ *  Definition of ...
 
 */
@@ -16,10 +16,10 @@
   GuiElement();
   virtual ~GuiElement();
-  
+
   /** @returns the main Widget of this GuiElement. */
-  Widget* getWidget() {return this->mainWidget;}
+  Widget* getWidget() { return this->mainWidget; }
  protected:
   void setMainWidget(Widget* widget);
-  
+
  private:
   Widget* mainWidget;
Index: branches/qt_gui/src/lib/gui/gui_element.cc
===================================================================
--- branches/qt_gui/src/lib/gui/gui_element.cc	(revision 7470)
+++ branches/qt_gui/src/lib/gui/gui_element.cc	(revision 7470)
@@ -0,0 +1,52 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "gui_element.h"
+
+#include "gui_gtk.h"
+
+namespace OrxGui
+{
+
+
+  /**
+   *  standard constructor
+     @todo this constructor is not jet implemented - do it
+  */
+  GuiElement::GuiElement ()
+  {
+    this->mainWidget = NULL;
+  }
+
+
+  /**
+   *  standard deconstructor
+
+  */
+  GuiElement::~GuiElement ()
+  {
+    // delete what has to be deleted here
+  }
+
+  /**
+   *  Every GuiElement should set this, or it could result in a SegFault.
+  */
+  void GuiElement::setMainWidget(Widget* widget)
+  {
+    this->mainWidget = widget;
+  }
+}
Index: branches/qt_gui/src/lib/gui/gui_element.h
===================================================================
--- branches/qt_gui/src/lib/gui/gui_element.h	(revision 7470)
+++ branches/qt_gui/src/lib/gui/gui_element.h	(revision 7470)
@@ -0,0 +1,30 @@
+/*!
+ * @file gui_element.h
+ *  Definition of ...
+
+*/
+
+#ifndef _GUI_ELEMENT_H
+#define _GUI_ELEMENT_H
+
+class Widget;
+namespace OrxGui
+{
+  //! A SuperClass for all the Different GuiElements
+  class GuiElement
+  {
+
+  public:
+    GuiElement();
+    virtual ~GuiElement();
+
+    /** @returns the main Widget of this GuiElement. */
+    Widget* getWidget() { return this->mainWidget; }
+  protected:
+    void setMainWidget(Widget* widget);
+
+  private:
+    Widget* mainWidget;
+  };
+}
+#endif /* _GUI_ELEMENT_H */
Index: branches/qt_gui/src/lib/gui/gui_saveable.cc
===================================================================
--- branches/qt_gui/src/lib/gui/gui_saveable.cc	(revision 7470)
+++ branches/qt_gui/src/lib/gui/gui_saveable.cc	(revision 7470)
@@ -0,0 +1,73 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "gui_saveable.h"
+
+namespace OrxGui
+{
+
+  /**
+   * standard constructor
+  */
+  GuiSaveable::GuiSaveable (const std::string& optionName)
+  {
+    this->bSaveable = false;
+  }
+
+
+  /**
+   * standard deconstructor
+  */
+  GuiSaveable::~GuiSaveable ()
+  {
+    // delete what has to be deleted here
+  }
+
+
+  void GuiSaveable::makeSaveable()
+  {
+    this->bSaveable = true;
+
+  }
+
+
+  GuiSaveableGroup::GuiSaveableGroup(const std::string& groupName)
+      : GuiSaveable(groupName)
+  {
+//    this->setName(groupName);
+  }
+
+
+
+
+  GuiSaveableGroup::~GuiSaveableGroup()
+  {
+    std::vector<GuiSaveableGroup*>::iterator delGroup = std::find(saveableGroups.begin(), saveableGroups.end(), this);
+
+    if (delGroup != saveableGroups.end() )
+      saveableGroups.erase(delGroup);
+  }
+
+  std::vector<GuiSaveableGroup*>  GuiSaveableGroup::saveableGroups;
+
+  void GuiSaveableGroup::makingElementSaveable()
+  {
+    GuiSaveableGroup::saveableGroups.push_back(this);
+  }
+
+
+}
Index: branches/qt_gui/src/lib/gui/gui_saveable.h
===================================================================
--- branches/qt_gui/src/lib/gui/gui_saveable.h	(revision 7470)
+++ branches/qt_gui/src/lib/gui/gui_saveable.h	(revision 7470)
@@ -0,0 +1,60 @@
+/*!
+ * @file gui_saveable.h
+ * @brief Definition of ...
+*/
+
+#ifndef _GUI_SAVEABLE_H
+#define _GUI_SAVEABLE_H
+
+#include "base_object.h"
+#include "multi_type.h"
+#include <vector>
+
+// FORWARD DECLARATION
+  namespace OrxGui
+  {
+    //! A class for ...
+    class GuiSaveable
+    {
+    public:
+    protected:
+      GuiSaveable(const std::string& optionName);
+      virtual ~GuiSaveable();
+
+      void makeSaveable();
+
+      virtual void load(const MultiType& value) = 0;
+      virtual const MultiType& save() = 0;
+
+      MultiType&       getValue() { return this->value; };
+      const MultiType& getValue() const { return this->value; };
+      bool             isSaveable() const { return this->bSaveable; };
+
+    protected:
+      virtual void makingElementSaveable() {};
+
+    private:
+      MultiType       value;
+      bool            bSaveable;
+    };
+
+
+
+    class GuiSaveableGroup : virtual public GuiSaveable
+    {
+    public:
+      GuiSaveableGroup(const std::string& name);
+      ~GuiSaveableGroup();
+
+      void addSaveable(GuiSaveable* saveable);
+      void removeSaveable(GuiSaveable* saveable);
+
+    protected:
+      virtual void makingElementSaveable();
+    private:
+      std::vector<GuiSaveable*>              saveables;
+      static std::vector<GuiSaveableGroup*>  saveableGroups;
+    };
+
+  }
+#endif /* _GUI_SAVEABLE_H */
Index: branches/qt_gui/src/lib/gui/qt_gui/Makefile.am
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/Makefile.am	(revision 7465)
+++ branches/qt_gui/src/lib/gui/qt_gui/Makefile.am	(revision 7470)
@@ -13,11 +13,7 @@
 
 libORXqtgui_a_SOURCES = \
-		gui_saveable.cc \
-		\
 		qt_gui.cc
 
 noinst_HEADERS= \
-		gui_saveable.h \
-		\
 		qt_gui.h
 
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.cc
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.cc	(revision 7465)
+++ 	(revision )
@@ -1,73 +1,0 @@
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-   ### File Specific:
-   main-programmer: Benjamin Grauer
-   co-programmer: ...
-*/
-
-//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
-
-#include "gui_saveable.h"
-
-namespace OrxGui
-{
-
-  /**
-   * standard constructor
-  */
-  GuiSaveable::GuiSaveable (const std::string& optionName)
-  {
-    this->bSaveable = false;
-  }
-
-
-  /**
-   * standard deconstructor
-  */
-  GuiSaveable::~GuiSaveable ()
-  {
-    // delete what has to be deleted here
-  }
-
-
-  void GuiSaveable::makeSaveable()
-  {
-    this->bSaveable = true;
-
-  }
-
-
-  GuiSaveableGroup::GuiSaveableGroup(const std::string& groupName)
-      : GuiSaveable(groupName)
-  {
-//    this->setName(groupName);
-  }
-
-
-
-
-  GuiSaveableGroup::~GuiSaveableGroup()
-  {
-    std::vector<GuiSaveableGroup*>::iterator delGroup = std::find(saveableGroups.begin(), saveableGroups.end(), this);
-
-    if (delGroup != saveableGroups.end() )
-      saveableGroups.erase(delGroup);
-  }
-
-  std::vector<GuiSaveableGroup*>  GuiSaveableGroup::saveableGroups;
-
-  void GuiSaveableGroup::makingElementSaveable()
-  {
-    GuiSaveableGroup::saveableGroups.push_back(this);
-  }
-
-
-}
Index: branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.h
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/gui_saveable.h	(revision 7465)
+++ 	(revision )
@@ -1,62 +1,0 @@
-/*!
- * @file gui_saveable.h
- * @brief Definition of ...
-*/
-
-#ifndef _GUI_SAVEABLE_H
-#define _GUI_SAVEABLE_H
-
-#include "base_object.h"
-#include "multi_type.h"
-#include <vector>
-
-// FORWARD DECLARATION
-
-namespace OrxGui
-{
-  //! A class for ...
-  class GuiSaveable
-  {
-  public:
-  protected:
-    GuiSaveable(const std::string& optionName);
-    virtual ~GuiSaveable();
-
-    void makeSaveable();
-
-    virtual void load(const MultiType& value) = 0;
-    virtual const MultiType& save() = 0;
-
-    MultiType&       getValue() { return this->value; };
-    const MultiType& getValue() const { return this->value; };
-    bool             isSaveable() const { return this->bSaveable; };
-
-  protected:
-    virtual void makingElementSaveable() {};
-
-  private:
-    MultiType       value;
-    bool            bSaveable;
-  };
-
-
-
-  class GuiSaveableGroup : virtual public GuiSaveable
-  {
-  public:
-    GuiSaveableGroup(const std::string& name);
-    ~GuiSaveableGroup();
-
-    void addSaveable(GuiSaveable* saveable);
-    void removeSaveable(GuiSaveable* saveable);
-
-  protected:
-    virtual void makingElementSaveable();
-  private:
-    std::vector<GuiSaveable*>              saveables;
-    static std::vector<GuiSaveableGroup*>  saveableGroups;
-  };
-
-}
-
-#endif /* _GUI_SAVEABLE_H */
Index: branches/qt_gui/src/lib/gui/qt_gui/qt_gui.h
===================================================================
--- branches/qt_gui/src/lib/gui/qt_gui/qt_gui.h	(revision 7465)
+++ branches/qt_gui/src/lib/gui/qt_gui/qt_gui.h	(revision 7470)
@@ -8,5 +8,5 @@
 
 #include "base_object.h"
-#include "gui_saveable.h"
+#include "../gui_saveable.h"
 #include <list>
 