Index: code/trunk/src/modules/pickup/CollectiblePickup.h
===================================================================
--- code/trunk/src/modules/pickup/CollectiblePickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/CollectiblePickup.h	(revision 7493)
@@ -44,5 +44,8 @@
     /**
     @brief
-        Collectible Pickup class. Any pickup inheriting from this class can be added to a PickupCollection and thus be part uf such.
+        The CollectiblePickup class encompasses all @ref orxonox::Pickupable "Pickupables" that can be added to a @ref orxonox::PickupCollection "PickupCollection" and thus be part of such.
+
+        All you need to do to make your @ref orxonox:.Pickupable "Pickupable" a CollectiblePickup is to, in some way, inherit from it. (The @ref orxonox::Pickup Pickup class, for example, is already a CollectiblePickup).
+
     @author
         Damian 'Mozork' Frick
Index: code/trunk/src/modules/pickup/DroppedPickup.cc
===================================================================
--- code/trunk/src/modules/pickup/DroppedPickup.cc	(revision 7456)
+++ code/trunk/src/modules/pickup/DroppedPickup.cc	(revision 7493)
@@ -51,5 +51,4 @@
     {
         RegisterObject(DroppedPickup);
-
     }
 
@@ -83,8 +82,5 @@
     DroppedPickup::~DroppedPickup()
     {
-        if(this->pickup_ != NULL && this->pickup_->isPickedUp())
-        {
-            this->pickup_ = NULL;
-        }
+
     }
 
@@ -96,5 +92,7 @@
     Pickupable* DroppedPickup::getPickup(void)
     {
-        return this->pickup_;
+        Pickupable* pickup = this->pickup_;
+        this->pickup_ = NULL;
+        return pickup;
     }
 
Index: code/trunk/src/modules/pickup/DroppedPickup.h
===================================================================
--- code/trunk/src/modules/pickup/DroppedPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/DroppedPickup.h	(revision 7493)
@@ -45,7 +45,9 @@
     /**
     @brief
-        Special PickupSpawner that is created whe a Pickupable is dropped. It just spawns one pickup, the one that was dropped.
+        Special PickupSpawner that is created when a @ref orxonox::Pickupable "Pickupable" is dropped. It just spawns one pickup, the one that was dropped.
+
     @author
         Daniel 'Huty' Haggenmueller
+    @author
         Damian 'Mozork' Frick
     */
Index: code/trunk/src/modules/pickup/PickupSpawner.cc
===================================================================
--- code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 7456)
+++ code/trunk/src/modules/pickup/PickupSpawner.cc	(revision 7493)
@@ -35,4 +35,5 @@
 
 #include "core/CoreIncludes.h"
+#include "core/GameMode.h"
 #include "core/Template.h"
 #include "core/XMLPort.h"
@@ -94,4 +95,5 @@
             PickupRepresentation* representation = PickupManager::getInstance().getRepresentation(this->pickup_->getPickupIdentifier());
             this->attach(representation->getSpawnerRepresentation(this));
+            this->setActive(true); //TODO: Needed?
         }
     }
@@ -146,7 +148,6 @@
         {
             PickupRepresentation* representation = PickupManager::getInstance().getRepresentation(this->pickup_->getPickupIdentifier());
-            representation->setVisible(this->isActive());
             this->attach(representation->getSpawnerRepresentation(this));
-            this->setActive(true);
+            this->setActive(true); //TODO: Needed?
         }
     }
@@ -160,5 +161,6 @@
         SUPER(PickupSpawner, changedActivity);
 
-        this->setVisible(this->isActive());
+        if(GameMode::isMaster())
+            this->setVisible(this->isActive());
     }
 
@@ -169,20 +171,20 @@
         Time since last tick.
     */
-    //TODO: Replace with collisions.
+    //TODO: Replace with collisions?
     void PickupSpawner::tick(float dt)
     {
         SUPER(PickupSpawner, tick, dt);
 
-        //! If the PickupSpawner is active.
-        if (this->isActive())
+        // If the PickupSpawner is active.
+        if(GameMode::isMaster() && this->isActive())
         {
             SmartPtr<PickupSpawner> temp = this; //Create a smart pointer to keep the PickupSpawner alive until we iterated through all Pawns (in case a Pawn takes the last pickup)
 
-            //! Iterate trough all Pawns.
+            // Iterate trough all Pawns.
             for (ObjectList<Pawn>::iterator it = ObjectList<Pawn>::begin(); it != ObjectList<Pawn>::end(); ++it)
             {
                 Vector3 distance = it->getWorldPosition() - this->getWorldPosition();
                 PickupCarrier* carrier = dynamic_cast<PickupCarrier*>(*it);
-                //! If a Pawn, that fits the target-range of the item spawned by this Pickup, is in trigger-distance.
+                // If a Pawn, that fits the target-range of the item spawned by this Pickup, is in trigger-distance.
                 if (distance.length() < this->triggerDistance_ && carrier != NULL && carrier->isTarget(this->pickup_))
                 {
@@ -214,7 +216,6 @@
     {
         if(this->spawnsRemaining_ != INF)
-        {
             this->spawnsRemaining_--;
-        }
+
         if(this->spawnsRemaining_ != 0 && this->respawnTime_ > 0)
         {
@@ -283,5 +284,5 @@
     void PickupSpawner::trigger(Pawn* pawn)
     {
-        if (this->isActive()) //!< Checks whether PickupSpawner is active.
+        if(this->isActive()) // Checks whether PickupSpawner is active.
         {
             COUT(4) << "PickupSpawner (&" << this << ") triggered and active." << std::endl;
@@ -303,27 +304,9 @@
             Pickupable* pickup = this->getPickup();
 
-            if(target != NULL && pickup != NULL)
-            {
-                if(pickup->pickup(target))
-                    this->decrementSpawnsRemaining();
-                else
-                {
-                    this->selfDestruct_ = true;
-                    pickup->destroy();
-                }
-            }
-            else
-            {
-                if(target == NULL)
-                    COUT(1) << "PickupSpawner (&" << this << "): Pickupable has no target." << std::endl;
-
-                if(pickup == NULL)
-                    COUT(1) << "PickupSpawner (&" << this << "): getPickup produced an error, no Pickupable created." << std::endl;
-                else
-                {
-                    this->selfDestruct_ = true;
-                    pickup->destroy();
-                }
-            }
+            assert(pickup);
+            assert(target);
+            assert(pickup->pickup(target));
+
+            this->decrementSpawnsRemaining();
         }
     }
Index: code/trunk/src/modules/pickup/items/HealthPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/HealthPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/HealthPickup.h	(revision 7493)
@@ -62,8 +62,8 @@
         A pickup that can do (dependent upon the parameters) lots of different things to the health of a Pawn.
         There are 4 parameters that can be chosen:
-        1) The health. The amount of health that (in a way dependent on the other parameters) is transfered to the Pawn.
-        2) The activation type: It can be chosen to be either 'immediate' or 'onUse'. The activation type essentially (as indicated by the name) defines when the health is transfered, either immediately after being picked up or only after the player uses it.
-        3) The duration type: It can be chosen to be either 'once' or 'continuous'. For 'once' the specified health is transfered once to the Pawn, for 'continuous' the set health is transfered over a span of time at a rate defined by the health rate parameter.
-        4) The health type: The health type can be chosen to be 'limited', 'temporary' or 'permanent'. 'limited' means that the health is increased only to the maximum health of the Pawn. 'temporary' means that the maximum health is temporarily elevated but will be set back as soon as the pickup is no longer in use. 'permanent' means that the maximum health of the Pawn is increased such that the health provided by the pickup will fit in and the maximum health stays that way.
+        - The @b health The amount of health that (in a way dependent on the other parameters) is transfered to the Pawn.
+        - The @b activation @b type It can be chosen to be either 'immediate' or 'onUse'. The activation type essentially (as indicated by the name) defines when the health is transfered, either immediately after being picked up or only after the player uses it.
+        - The @b duration @b type It can be chosen to be either 'once' or 'continuous'. For 'once' the specified health is transfered once to the Pawn, for 'continuous' the set health is transfered over a span of time at a rate defined by the health rate parameter.
+        - The @b health @b type The health type can be chosen to be 'limited', 'temporary' or 'permanent'. 'limited' means that the health is increased only to the maximum health of the Pawn. 'temporary' means that the maximum health is temporarily elevated but will be set back as soon as the pickup is no longer in use. 'permanent' means that the maximum health of the Pawn is increased such that the health provided by the pickup will fit in and the maximum health stays that way.
     @author
         Damian 'Mozork' Frick
Index: code/trunk/src/modules/pickup/items/InvisiblePickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/InvisiblePickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/InvisiblePickup.h	(revision 7493)
@@ -50,6 +50,6 @@
         A pickup that makes the Pawn invisible.
         There are 2 parameters that can be chosen:
-        1) The activation type: It can be chosen to be either 'immediate' or 'onUse'. The activation type essentially (as indicated by the name) defines when the Pawn will be invisible, either immediately after being picked up or only after the player uses it.
-        2) The duration type: It can be chosen how long the Pawn will be invisibel.
+        - The @b activation @b type It can be chosen to be either 'immediate' or 'onUse'. The activation type essentially (as indicated by the name) defines when the Pawn will be invisible, either immediately after being picked up or only after the player uses it.
+        - The @b duration @b type It can be chosen how long the Pawn will be invisibel.
     @author
         Benedict Simlinger
Index: code/trunk/src/modules/pickup/items/MetaPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/MetaPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/MetaPickup.h	(revision 7493)
@@ -58,8 +58,8 @@
     @brief
         The MetaPickup is a pickup that can, depending on the parameter 'metaType', do different things. If the 'metaType' is set to
-        1) 'use', all the pickups, the PickupCarrier has, are immediately set to used upon pickup of the MetaPickup.
-        2) 'drop', all the pickups, the PickupCarrier has, are immediately dropped upon pickup of the MetaPickup.
-        3) 'destroy', all the pickups, the PickupCarrier has, are immediately destroyed upon pickup of the MetaPickup.
-        4) 'destroyCarrier', the PickupCarrier is immediately destroyed upon pickup of the MetaPickup.
+        - @b use All the pickups, the PickupCarrier has, are immediately set to used upon pickup of the MetaPickup.
+        - @b drop All the pickups, the PickupCarrier has, are immediately dropped upon pickup of the MetaPickup.
+        - @b destroy All the pickups, the PickupCarrier has, are immediately destroyed upon pickup of the MetaPickup.
+        - @b destroyCarrier The PickupCarrier is immediately destroyed upon pickup of the MetaPickup.
     @author
         Damian 'Mozork' Frick
Index: code/trunk/src/modules/pickup/items/ShieldPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/ShieldPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/ShieldPickup.h	(revision 7493)
@@ -51,8 +51,9 @@
         A Pickup which can add a Shield to the Pawn.
 
-        1) The percentage: The percentage the shield takes from the damage dealt to a Pawn
-        2) The hit points: The amount of damage points a shield can teake before collapsing
-        3) The activation type: 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
-        4) The duration: the activation time of the pickup.
+        There are 4 parameters that can be cosen.
+        - The @b percentage The percentage the shield takes from the damage dealt to a Pawn
+        - The @b hit @b points The amount of damage points a shield can teake before collapsing
+        - The @b activation @b type 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
+        - The @b duration the activation time of the pickup.
 
     @author
Index: code/trunk/src/modules/pickup/items/SpeedPickup.h
===================================================================
--- code/trunk/src/modules/pickup/items/SpeedPickup.h	(revision 7456)
+++ code/trunk/src/modules/pickup/items/SpeedPickup.h	(revision 7493)
@@ -50,8 +50,9 @@
         A Pickup which can manipulate the Speed of a Pawn.
 
-        1) The speed multiplier:
-           The additional (forward) speed:
-        2) The activation type: 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
-        4) The duration: the activation time of the pickup.
+        There are 4 parameters that can be cosen:
+        - The @b speed @b multiplier
+        - The @b additional (forward) @b speed
+        - The @b activation @b type 'immediate' or 'onUse'. defines if the item is used when it's picked up or only after the player chooses to use it.
+        - The @b duration The activation time of the pickup.
 
     @author